Users running a non-download version of Vanilla (pulled from github), on branch release/2019.016 or master from the last 2 weeks should upgrade to release/2019.017 or latest master for security reasons. Downloaded official open sources releases are not affected.
Please upgrade here. These earlier versions are no longer being updated and have security issues.

Vanilla Broken

when i try to get on to vanilla all i see is this

<?php

/**
 * Application Gateway
 *
 * @author Mark O'Sullivan <[email protected]>
 * @author Todd Burry 
 * @author Tim Gunter 
 * @copyright 2003 Vanilla Forums, Inc
 * @license http://www.opensource.org/licenses/gpl-2.0.php GPLv2
 * @package Garden
 * @since 2.0
 */

define('APPLICATION', 'Vanilla');
define('APPLICATION_VERSION', '2.1.13p1');

// Report and track all errors.

error_reporting(E_ERROR | E_PARSE | E_CORE_ERROR | E_COMPILE_ERROR | E_USER_ERROR | E_RECOVERABLE_ERROR);
ini_set('display_errors', 0);
ini_set('track_errors', 1);

ob_start();

// Define the constants we need to get going.

define('DS', '/');
define('PATH_ROOT', getcwd());

// Include the bootstrap to configure the framework.

require_once(PATH_ROOT.'/bootstrap.php');

// Create and configure the dispatcher.

$Dispatcher = Gdn::Dispatcher();

$EnabledApplications = Gdn::ApplicationManager()->EnabledApplicationFolders();
$Dispatcher->EnabledApplicationFolders($EnabledApplications);
$Dispatcher->PassProperty('EnabledApplications', $EnabledApplications);

// Process the request.

$Dispatcher->Start();
$Dispatcher->Dispatch();
Tagged:

Comments

  • whu606whu606 I'm not a SuperHero; I just like wearing tights... Moderator

    @raddcircles

    Welcome to the community.

    I'm afraid that neither your title nor your post offer enough information to know how to start helping you.

    You need to tell us if it is a new installation, or a previously working version of Vanilla.

    If it is a new installation, you need to tell us what steps you got through in the installation process.

    Linc
  • @whu606 said:
    @raddcircles

    Welcome to the community.

    I'm afraid that neither your title nor your post offer enough information to know how to start helping you.

    You need to tell us if it is a new installation, or a previously working version of Vanilla.

    If it is a new installation, you need to tell us what steps you got through in the installation process.

    it is a new installation

    i put all the vanilla files and subfolders into /var/www/html/ and deleted the default apache index.html

    i have mysql, php5.6, pdo_mysql

  • LincLinc Director of Development Detroit Vanilla Staff

    It appears PHP is not running on your server or is otherwise malfunctioning. I would file a support ticket with your host.

    Also, you are running the wrong version of Vanilla. Always use the newest version listed here by using the "Download Now" button.

Sign In or Register to comment.